**Full name**: projects.locations.datasets.list

Lists Datasets in a Location.

### Endpoint

get `https://{service-endpoint}/v1/{parent}/datasets`   
Where `{service-endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest#rest_endpoints).

### Path parameters

`parent` `string` Required. The name of the Dataset's parent resource. Format: `projects/{project}/locations/{location}`

### Query parameters

`filter` `string` An expression for filtering the results of the request. For field names both snake_case and camelCase are supported.

- `displayName`: supports = and !=
- `metadataSchemaUri`: supports = and !=
- `labels` supports general map functions that is:
  - `labels.key=value` - key:value equality
  - \`labels.key:\* or labels:key - key existence
  - A key including a space must be quoted. `labels."a key"`.

Some examples:

- `displayName="myDisplayName"`
- `labels.myKey="myValue"`
`pageSize` `integer` The standard list page size.
`pageToken` `string` The standard list page token.
`readMask` ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` Mask specifying which fields to read.

This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`.
`orderBy` `string` A comma-separated list of fields to order by, sorted in ascending order. Use "desc" after a field name for descending. Supported fields:

- `displayName`
- `createTime`
- `updateTime`

### Request body

The request body must be empty.

### Response body

Response message for `https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/v1/projects.locations.datasets/list#google.cloud.aiplatform.v1.DatasetService.ListDatasets`.

If successful, the response body contains data with the following structure:
Fields `datasets[]` ``object (`https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/v1/projects.locations.datasets#Dataset`)`` A list of Datasets that matches the specified filter in the request.
`nextPageToken` `string` The standard List next-page token.

| JSON representation |
|---|
| ``` { "datasets": [ { object (`https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/v1/projects.locations.datasets#Dataset`) } ], "nextPageToken": string } ``` |

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `aiplatform.datasets.list`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).